PierceTableModel (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: PierceTableModel

Package edu.sc.seis.TauP

# Class PierceTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
edu.sc.seis.TauP.PierceTableModel

All Implemented Interfaces:
  `java.io.Serializable`, `javax.swing.table.TableModel`

    public class PierceTableModel
    extends javax.swing.table.AbstractTableModel

PierceTableModel Created: Thu May 6 14:42:17 1999

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.table.AbstractTableModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PierceTableModel()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getColumnCount()` |
  `java.lang.String` | `getColumnName​(int col)` |
  `int` | `getRowCount()` |
  `java.lang.Object` | `getValueAt​(int row, int col)` |
  `void` | `setArrivals​(java.util.List<Arrival> arrivals)` |
  `void` | `setSelectedIndex​(int index)` |

  ### Methods inherited from class javax.swing.table.AbstractTableModel

  `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PierceTableModel

    public PierceTableModel()

- ## Method Details

  - ### getRowCount

    public int getRowCount()

  - ### getColumnCount

    public int getColumnCount()

  - ### getValueAt

    public java.lang.Object getValueAt​(int row, int col)

  - ### getColumnName

    public java.lang.String getColumnName​(int col)
    Specified by:
      `getColumnName` in interface `javax.swing.table.TableModel`
    Overrides:
      `getColumnName` in class `javax.swing.table.AbstractTableModel`

  - ### setArrivals

    public void setArrivals​(java.util.List<Arrival> arrivals)

  - ### setSelectedIndex

    public void setSelectedIndex​(int index)